Web lists-archives.com

Re: Can't install addons for firefox




On Tue, 7 May 2019 at 07:03, Peter Ehlert <peter@xxxxxxxxxxxx> wrote:
>
> On 5/4/19 9:27 AM, Ross Boylan wrote:
> > Running firefox-esr on buster I don't seem to be able to install
> > addons.  I tried selenium IDE and katalon.  Has Debian blocked the
> > installation of addons?  I don't see indications of that in the docs
> > or the net.
>
> A new 60.6.2esr version came out yesterday, it is not in the Buster
> repos yet.

I just installed a new version 60.6.2esr-1~deb9u1 from stable-updates
that fixes this bug for me. I just had to re-enable a few extensions that
had previously become not-enabled and everything seems back to normal.

[david@kablamm ~]$ apt -a show firefox-esr
Package: firefox-esr
Version: 60.6.2esr-1~deb9u1
[...]
[APT-Sources: http://approx:9999/debian stretch-updates/main amd64 Packages

changelog says:
  * New upstream release.
    - Fixes issues with addon signature validation. Closes: #928415, #928449.
    Note: this didn't affect addons installed via Debian packages.